Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface Cylinder

All Superinterfaces:
  GenericSurface, GriddedSurface, ParametricCurveSurface, SurfacePatch

    @UML(identifier="GM_Cylinder",
         specification=ISO_19107)
    public interface Cylinder

extends GriddedSurface

A gridded surface given as a family of circles whose positions vary along a set of parallel lines, keeping the cross sectional horizontal curves of a constant shape. Given the same working assumptions as in gridded surface, a cylinder can be given by two circles, giving us control points of the form <<P1, P2, P3>, <P4, P5, P6>>.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary

Methods inherited from interface GriddedSurface
`getColumns, getControlPoints, getRows`

Methods inherited from interface ParametricCurveSurface
`getHorizontalCurveType, getVerticalCurveType, horizontalCurve, surface, verticalCurve`

Methods inherited from interface SurfacePatch
`getBoundary, getInterpolation, getNumDerivativesOnBoundary, getSurface`

Methods inherited from interface GenericSurface
`getArea, getPerimeter, getUpNormal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.